const { defineConfig } = require("cypress");
const apiRequestPlugin = require("./src/index");

module.exports = defineConfig({
  historyTrackerURL: "http://localhost:3001",
  e2e: {
    setupNodeEvents(on, config) {
      // Set up the API request plugin
      apiRequestPlugin(on, config);
      return config;
    },
  },
});
